=== debian/changelog ===
xvi (2.50.3-1) unstable; urgency=low

  * Release 2.50.3. Bugs fixes are listed in the file RELEASE-2.50
    - On MSDOS, keyboard interrupts with ^C killed xvi. Now they work again
    - In insert/replace mode, ^B^C said "interrupted" but stayed in insert mode
    - "source" now works again on MSDOS (it was getting confused by \r\n)
    - Inserting in the middle of command line got screen updating wrong
    - Accented characters with codes 128-140 can be inserted again
    - Repeating an insertion with "." works again.

 -- Martin Guy <martinwguy@gmail.com>  Thu,  7 June 2017 09:48:00 +0200

xvi (2.50.2-1) unstable; urgency=low

  * Release 2.50.2. Five bug fixes:
    - Inserting chars in the middle of a command line got the display right but
      the inserted characters were omitted from the command
    - ^U to cancel a command line now clears the display too back to the :
    - "tc" now does not move if the character after the cursor is a "c"
    - Character maps are now applied to text stuffed with :@ or :*
    - Stuffing a character-based yank with :@ or :* adds a final newline

 -- Martin Guy <martinwguy@gmail.com>  Thu,  4 May 2017 11:16:00 +0200

xvi (2.50.1-1) unstable; urgency=low

  * Release 2.50.1. Three bug fixes:
    - Fix compilation with compilers that don't have // comments
    - :e no longer says "Ambiguous command" (the reason for the re-release)
    - Pasting a char-based buffer of several lines lacked newlines between them

 -- Martin Guy <martinwguy@gmail.com>  Thu,  4 May 2017 11:16:00 +0200

xvi (2.50-1) unstable; urgency=low

  * Release 2.50. See RELNOTES-2.50 for a detailed list of changes.

 -- Martin Guy <martinwguy@gmail.com>  Sun, 30 Apr 2017 16:18:16 +0200

xvi (2.49-1) unstable; urgency=low

  * Bug fix release
    - "Join" commands now join the right number of line and
      insert and display the right number of spaces
    - Parse exuberant ctags' extended format for tags file
    - Allow saving to a writable file in an unwritable directory
    - Repaint the window when a X Window System terminal window is resized
    - Fixed one potential infinite loop, one seg fault nd one buffer overflow bugs
    - Allow compilation with TinyC (tcc) and without -ansi
    - Get cursor position right after unsuccessful "n" command

 -- Martin Guy <martinwguy@gmail.com>  Thu, 29 Mar 2015 18:26:16 +0200

xvi (2.48-1) unstable; urgency=low

  * Bug fix release

 -- Martin Guy <martinwguy@yahoo.it>  Sat, 13 Oct 2013 13:03:48 +0100

xvi (2.47-1) unstable; urgency=low

  * Initial release
  * Wrote top level Makefile to implement Debian conventions

 -- Martin Guy <martinwguy@yahoo.it>  Sat,  8 Apr 2006 11:08:58 +0100
