=== debian/control ===
Source: xvi
Section: editors
Priority: optional
Maintainer: Martin Guy <martinwguy@yahoo.it>
Build-Depends: debhelper (>= 4.0.0), libncurses5-dev
Standards-Version: 3.6.2

Package: xvi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: editor
Description: small multiple-window version of the `vi' text editor
 xvi is the smallest clone of the famous "vi" editor, with almost all of the
 commands of the original version by Bill Joy with the addition of a
 multiple buffer feature which allows you to edit several files simultaneously
 as well as allowing several views onto one file.
 .
 It does not implement the command-line "ex mode" and "open mode" of vi,
 nor the smart programming-language-specific modes. Exact differences between
 xvi and standard "vi" are listed in its manual page.
 .
 In spite of its name, it is not specific to the X Windows System, and
 and runs on any regular text terminal.
 .
 xvi was written by Chris and John Downey in the late 80s and early 90s,
 is derived from the STEVIE by Tim Thompson and Tony Andrews
 and currently lives at http://xvi.sourceforge.net
