=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Find new files on sourceforge, for debscripts >= 2.9
#http://sf.net/xvi/xvi-(.*)\.tar\.gz
# This doesn't work. uscan 2.9.15 says:
# Use of uninitialized value in concatenation (.) or string at /usr/bin/uscan line 664, <WATCH> line 10.
